Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86139 - autofs(5) man page incorrect for mount options
Summary: autofs(5) man page incorrect for mount options
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs
Version: 7.3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-14 19:28 UTC by Ansgar Esztermann
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-03-19 23:18:56 UTC


Attachments (Terms of Use)
Patch to the autofs(5) man page (deleted)
2003-03-14 19:31 UTC, Ansgar Esztermann
no flags Details | Diff

Description Ansgar Esztermann 2003-03-14 19:28:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020916

Description of problem:
The autofs(5) man page gives a list of examples for possible
entries to the automounter maps. One of these contains options 
other than -fstype which are nonetheless prefixed with a dash.

Contrary to the Solaris automounter, however, the dash must 
not be present on Linux. This is stated in the auto.master(5)
man page and also confirmed by my experiments.


Version-Release number of selected component (if applicable):
autofs-3.1.7-28

How reproducible:
Always

Steps to Reproduce:
1. Following the example from the man page:
% /usr/sbin/automount /tmp yp auto.home -rsize=8192,wsize=8192,rw,intr,soft,bg

% ls /tmp/ansgar >/dev/null

% mount |grep tmp

Actual Results:  automount(pid27534) on /tmp type autofs
(rw,fd=5,pgrp=27534,minproto=2,maxproto=3)
zenon:/ush4/ansgar on /tmp/ansgar type nfs (rw,addr=134.99.64.132)

Expected Results:  (removing the dash yields the following:)

automount(pid27568) on /tmp type autofs (rw,fd=5,pgrp=27568,minproto=2,maxproto=3)
zenon:/ush4/ansgar on /tmp/ansgar type nfs
(rw,rsize=8192,wsize=8192,intr,soft,bg,addr=134.99.64.132)


Additional info:

Comment 1 Ansgar Esztermann 2003-03-14 19:31:05 UTC
Created attachment 90602 [details]
Patch to the autofs(5) man page


Note You need to log in before you can comment on or make changes to this bug.